%define	appname	virtinst
Summary:	Python modules and utilities for installing virtual machines
Name:		python-%{appname}
Version:	0.600.2
Release:	1
License:	GPL v2
Group:		Libraries/Python
Source0:	http://virt-manager.org/download/sources/%{appname}/%{appname}-%{version}.tar.gz
# Source0-md5:	32902986192d055760632f874a4ab81f
URL:		http://virt-manager.org/
BuildRequires:	gettext
BuildRequires:	python-devel
BuildRequires:	python-libvirt >= 0.4.5
BuildRequires:	python-libxml2
BuildRequires:	python-urlgrabber
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
virtinst is a module that helps build and install libvirt based
virtual machines. Currently supports KVM, QEmu and Xen virtual
machines. Package includes several command line utilities, including
virt-install (build and install new VMs) and virt-clone (clone an
existing virtual machine).

%prep
%setup -q -n %{appname}-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%find_lang %{appname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{appname}.lang
%defattr(644,root,root,755)
%doc README COPYING AUTHORS ChangeLog NEWS doc/image.rng doc/example1.xml
%attr(755,root,root) %{_bindir}/virt-install
%attr(755,root,root) %{_bindir}/virt-clone
%attr(755,root,root) %{_bindir}/virt-image
%attr(755,root,root) %{_bindir}/virt-convert
%dir %{py_sitescriptdir}/virtconv
%{py_sitescriptdir}/virtconv/*.py[co]
%dir %{py_sitescriptdir}/virtconv/parsers
%{py_sitescriptdir}/virtconv/parsers/*.py[co]
%dir %{py_sitescriptdir}/virtinst
%{py_sitescriptdir}/virtinst/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{appname}-*.egg-info
%endif
%{_mandir}/man1/*
%{_mandir}/man5/*
%changelog
* Wed Jul 18 2012 Artur Frysiak <artur@frysiak.net> db9a82c
Up to 0.600.2

* Sat Feb 18 2012 Jan Rękorajski <baggins@pld-linux.org> 1a00d8c
- 0.600.1

* Sun Oct 02 2011 Artur Frysiak <artur@frysiak.net> a74b170
- up to 0.600.0

* Fri Apr 08 2011 Artur Frysiak <artur@frysiak.net> 389d397
- up to 0.500.6

* Wed Mar 31 2010 Elan Ruusamäe <glen@pld-linux.org> a3aeefe
- cleanup, remove out of sync comment from template spec

* Tue Mar 30 2010 matik <matik@pld-linux.org> a9c8ecc
- upped to 0.500.3

* Thu Dec 10 2009 matik <matik@pld-linux.org> 75a8e97
- forgot to add commit message

* Thu Dec 10 2009 matik <matik@pld-linux.org> c28e688
- upped to 0.500.1

* Thu Sep 17 2009 radek <radek@pld-linux.org> 4c0c55e
- version 0.500.0

* Thu Feb 05 2009 beorn <beorn@pld-linux.org> 0705d3e
- Group name fix

* Tue Sep 23 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 000d53c
- added parent dirs

* Tue Sep 23 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> c0aa87e
- use find_lang, fixed files

* Tue Sep 23 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 44d2d3b
- new

